/*     GRAM2        */

analisis(X,Y):- asercion(X,Y).

asercion --> sn, verb(X),compl(X).

compl([])--> [].
compl([])--> sn.
compl([arg(X)|Y])--> prep(X),sn,compl(Y).

sn-->npr.
sn-->det,n.

verb(A)--> [W],{verbo(W,A)}.
npr--> [W],{npropio(W)}.
n--> [W],{nombre(W)}.
det--> [W],{determ(W)}.
prep(W)--> [W],{prepo(W)}.


/* LEXICON */

npropio(clara).
npropio(maria).
npropio(juan).
npropio(barcelona).

nombre(hombre).
nombre(profesor).
nombre(libro).

determ(un).
determ(el).

prepo(en).
prepo(con).
prepo(de).

verbo(piensa,[arg(en)]).
verbo(esta,[arg(en)]).
verbo(rie,[]).
verbo(habla,[arg(de),arg(con)]).
verbo(lee,[]).
